> For the complete documentation index, see [llms.txt](https://docs.vida.id/identity-stack/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.vida.id/identity-stack/verify/indonesia-verification/integration/api/api-reference/verification-status.md).

# Verification Status

The Status Check API is a service provided by VIDA that allows partners to check the status of a specific identity verification request. This can be done by using the unique transaction ID (`eventId`) that is returned when the identity verification API is invoked. The API returns a set of responses, which include the status of the verification process (e.g. In Progress, completed, failed), and status codes, along with the failure reasons if the verification request is failed. This API can be used to track the progress of the verification process and ensure that it is completed in a timely manner.&#x20;

### API Description

<mark style="color:blue;">`GET`</mark> `https://services-sandbox.vida.id/main/v3/services/kyc/{eventId}/status`

#### Path Parameters

| Name                                      | Type   | Description                                             |
| ----------------------------------------- | ------ | ------------------------------------------------------- |
| eventId<mark style="color:red;">\*</mark> | String | Transaction ID that is produced on transaction request. |

#### Headers

| Name                                            | Type             | Description                                                                                                |
| ----------------------------------------------- | ---------------- | ---------------------------------------------------------------------------------------------------------- |
| Authorization<mark style="color:red;">\*</mark> | String           | <p>OAuth access token. </p><p>Get the token by calling the</p><p><strong>Get Access Token</strong> API</p> |
| Content-Type                                    | application/json | Format type of request body                                                                                |

#### API Responses

### Identity Verification Status

The API returns the status of the identity verification event and certificate will be issued.&#x20;

HTTP Status Code: `200`

<details>

<summary>JSON Response</summary>

```json
{
    "data": {
        "certificateIssued": 200
    }
}
```

</details>

### Identity Verification Status - In Progress

The API returns the following response when the verification is still in progress and manual verification for face match and name check is enabled.

HTTP Status Code: `440`

<details>

<summary>JSON Response</summary>

```json
{
    "data": {
        "certificateIssued": 440
    }
} 
```

</details>

### Long API Request Time&#x20;

Request is taking longer than expected time.

HTTP Status Code: `440`

<details>

<summary>JSON Response</summary>

```json
{
    "data": {
        "certificateIssued": 440
    }
}
```

</details>

### Error Occurred

An error occurred, please try after some time.&#x20;

HTTP Status Code: `444`

<details>

<summary>JSON Response</summary>

```json
{
    "data": {
        "certificateIssued": 444,
        "failureReason": "An internal error occurred. Please try again",
        "errorCode": 1000
    }
}
```

</details>

### Identity Verification Failed

The API returns the following response when the Verification has failed.

HTTP Status Code: `444`

<details>

<summary>JSON Response</summary>

```json
{
    "data": {
        "certificateIssued": 444
    }
}
```

</details>

### Certificate Issuance Failed

The API returns the following response when certificate issuance has failed

HTTP Status Code: `443`

<details>

<summary>JSON Response</summary>

```json
{
    "data": {
        "certificateIssued": 443
    }
}
```

</details>
